File farstream.changes of Package farstream

-------------------------------------------------------------------
Thu Mar 12 21:01:17 UTC 2020 - Bjørn Lie <bjorn.lie@gmail.com>

- Update to 2.4.9+4:
  + nice agent: keep the main context alive until the agent is
    destroyed.
  + configure: add check for glib-mkenums.
  + build: Adapt to backwards incompatible change in GNU Make 4.3.
- Following this, drop upstream fixed patches:
  + farstream-add-check-for-glib-mkenums.patch
  + farstream-fix-make43.patch

-------------------------------------------------------------------
Thu Mar 12 10:10:03 UTC 2020 - Bjørn Lie <bjorn.lie@gmail.com>

- Update to version 0.2.9:
  + Add OPUS specific SDP OA negotiation to match RFC.
  + Switch VP8 to standard encoding name.
  + Removed MSN plugin, MSN Messenger is long dead.
  + Port away from deprecated libnice signals.
  + Bug fixes.
- Drop farstream-fix-build-gst116.patch: Fixed differently
  upstream.

-------------------------------------------------------------------
Wed Mar  4 13:50:58 UTC 2020 - Bjørn Lie <bjorn.lie@gmail.com>

- Switch to git-checkout via source services, commit 092d884d.
- Following the above: Drop autoconf, automake and
  pkgconfig(pygobject-2.0) BuildRequires. Add gtk-doc and libtool.
  Pass autogen.sh inst of autoreconf, and add --enable-gtk-doc and
  --enable-introspection to configure. Modernize spec.
- Drop farstream-0.2.8-rtpbitrateadapter-no-adaptation.patch: Fixed
  upstream.
- Add farstream-fix-build-gst116.patch: Fix build with gstreamer
  1.16.x  (glfdo#farstream/farstream!3).
- Add farstream-add-check-for-glib-mkenums.patch: Fix autoconf
  build failure for glib-mkenums (glfdo#farstream/farstream!2).
- Add farstream-fix-make43.patch: autotools: Fix build with
  make-4.3 (glfdo#farstream/farstream#17).
- Disable LTO via define, as it currently fails when set to auto.

-------------------------------------------------------------------
Fri Dec  7 16:51:41 UTC 2018 - fcrozat@suse.com

- Add farstream-0.2.8-rtpbitrateadapter-no-adaptation.patch:
  rtpbitrateadapter should make no adaption by default (bgo#99183).

-------------------------------------------------------------------
Wed Feb 28 16:25:19 UTC 2018 - dimstar@opensuse.org

- Modernize spec-file by calling spec-cleaner

-------------------------------------------------------------------
Sat Mar 12 18:50:19 UTC 2016 - zaitor@opensuse.org

- Update to version 0.2.8:
  + Add "require-encryption" parameter to ignore unencrypted
    packets.
  + Enable building static GStreamer and transmitter plugins.
  + Make OPUS plugin work and select it as default codec.
  + Bug fixes.

-------------------------------------------------------------------
Wed Apr  1 14:35:42 UTC 2015 - fcrozat@suse.com

- Add farstream-plugin-path.patch: use library policy compliant
  path name for plugin.

-------------------------------------------------------------------
Thu Jan 29 22:38:32 UTC 2015 - zaitor@opensuse.org

- Update to version 0.2.7:
  + Add "send-rtcp-mux" parameters to fsrtpsession.
  + Add MTU and buffer splitting to rtpxdatapay.
  + Fix crash if srtpenc/dec is missing.
  + Bug fixes.
- Rename libfarstream-0_2-2 to libfarstream-0_2-5, following
  upstreams soname bump.

-------------------------------------------------------------------
Sun Oct 19 20:08:44 UTC 2014 - zaitor@opensuse.org

- Update to version 0.2.6:
  + Add ICE-TCP support.
  + Now require libnice 0.1.8.
- Changes from version 0.2.5:
  + Add SRTP support.
  + Add API to set allowed input/output caps.
  + Make it possible to have input that is not a raw format.
  + Support formats with no encoders/decoders.
  + Add payloader for the Microsoft Lync x-data format.
  + Ignore ICE-TCP in new libnice.
  + Fix misc bugs.
  + Now require GStreamer 1.4.

-------------------------------------------------------------------
Mon Sep  8 19:49:09 UTC 2014 - hrvoje.senjan@gmail.com

- Add baselibs.conf: provide multi-arch packages.

-------------------------------------------------------------------
Fri May  9 20:59:28 UTC 2014 - zaitor@opensuse.org

- Update to version 0.2.4:
  + Install gtk-doc correctly.
  + Adapt SSRC handling to GStreamer 1.2 and newer.
  + Fix BSD build.
  + Assorted bug fixes.

-------------------------------------------------------------------
Tue Apr 16 07:08:59 UTC 2013 - dimstar@opensuse.org

- Update to version 0.2.3:
  + Use generic marshallers.
  + Fix building by gold linker.
  + Fix leaks, found by Havard Graff and others.
  + Fix building with automake 1.13.
  + Lower PulseAudio latencies.
  + Fix codec intersection.
  + Add API to make the API be introspection accessible, fixing the
    Python example.
  + Use GSocket and other win32 portability improvements.

-------------------------------------------------------------------
Thu Nov 15 19:48:24 UTC 2012 - dimstar@opensuse.org

- Update to version 0.2.2:
  + Update and fix the default properties for vp8enc.

-------------------------------------------------------------------
Fri Oct  5 10:37:47 UTC 2012 - dimstar@opensuse.org

- Update to version 0.2.1:
  + Fix bug where nothing would be sent.
  + Fix various bugs in ElementAddedNotifier.
  + Fix the GPL headers.
  + Misc bug fixes.

-------------------------------------------------------------------
Tue Sep 25 21:39:04 UTC 2012 - dimstar@opensuse.org

- Update to version 0.2.0:
  + Official GStreamer 1.0 release.
  + Ported python example to GStreamer 1.0 and GTK+ 3.
  + Use GLib 2.32 APIs.
  + Made API more introspection friendly.
  + Ignore Error messages from the decoders.
  + Prefer Opus and VP8.
  + Various bug fixes.
- Rename libfarstream-0_2-1 to libfarstream-0_2-2, following
  upstreams soname bump.

-------------------------------------------------------------------
Fri Sep 14 19:57:50 UTC 2012 - dimstar@opensuse.org

- Update to version 0.1.91:
  + Minor bug fixes.
  + Bump soname, showing that this version is ABI incompatible.
- Rename libfarstream-0_2-0 to libfarstream-0_2-1, following
  upstreams soname bump

-------------------------------------------------------------------
Tue Sep  4 16:18:56 UTC 2012 - dimstar@opensuse.org

- Update to version 0.1.1.99 (0.2.0 git snapshot 2012/09/04)
  + Port to GStreamer 1.0
- Drop farstream-gtkdoc.patch: fixed upstream.
- Drop python sub package: python support has been dropped.
- Rename libfarstream-0_1-0 to libfarstream-0_2-0 and
  typelib-1_0-Farstream-0_1 to typelib-1_0-Fatstream-0_2, following
  upstream library name changes.

-------------------------------------------------------------------
Tue Aug 14 10:45:54 UTC 2012 - dimstar@opensuse.org

- Add farstream-gtkdoc.patch: Gtk-doc tags belong after the
  description. Fix build on newer gtk-doc versions.

-------------------------------------------------------------------
Mon Mar 26 08:18:15 UTC 2012 - vuntz@opensuse.org

- Update to version 0.1.2:
  + Ignore config while comparing send codecs, fixes H.264 and
    Theora negotation
  + Require GLib 2.30, do not allow APIs added after and ignore
    later deprecations
  + Add default element properties for rawconference
  + Set better latency/buffer time for pulse src/sink
  + Remove the buffer-time property on the shm transmitter, because
    the gst-plugins-bad plugin has a bug, we will restore it once a
    new gst-plugins-bad version has been released

-------------------------------------------------------------------
Fri Mar 23 11:34:25 UTC 2012 - vuntz@opensuse.org

- Change libgstfarsight-0_10-0 Conflicts to Obsoletes in
  gstreamer-0_10-plugins-farstream: now that all the farstream
  stack has entered Factory, we can drop the farsight one. The
  Obsoletes will help with a smooth transition.

-------------------------------------------------------------------
Wed Mar 14 08:28:00 UTC 2012 - vuntz@opensuse.org

- Change license of source package to "GPL-2.0+ and LGPL-2.1+"
  because of the license of some tools from the tarball used during
  the build. This does not affect the license of the binary
  packages. Fix bnc#751720.

-------------------------------------------------------------------
Tue Feb 21 09:55:04 UTC 2012 - vuntz@opensuse.org

- Initial packaging (version 0.1.1).